package com.atlassian.bitbucket.mesh.git.builder.prunepacked;

import com.atlassian.bitbucket.mesh.git.builder.GitProcess;
import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;

/**
 * A type-safe builder for using the {@code git prune-packed} command.
 */
public interface GitPrunePackedBuilder extends GitProcessBuilderSupport<GitPrunePackedBuilder> {

    @Nonnull
    GitProcess<Void> build();

    @Nonnull
    GitPrunePackedBuilder dryRun(boolean value);

    @Nonnull
    GitPrunePackedBuilder quiet(boolean value);
}
